/*
    QJpegRest - An interactive JPEG decoder, with restoration algorithms
    Copyright (C) 2007  Lluís Batlle i Rossell

    Please find the license in the provided LICENSE file.
*/
#include "Parser.h"
#include "DumpParser.h"
#include <QString>

#include <cstdio>

using std::printf;

DumpParser::DumpParser()
{
}

void DumpParser::event(enum EventType t, int level, const QString &str)
{
    char *type;

    if (t == Content)
        type = "Content";
    else
        type = "Unknown";

    printf("%s - %i - %s\n", type, level, str.toAscii().data());
}
